com.google.gwt.util.tools

## Class ArgHandlerString

- java.lang.Object
- - com.google.gwt.util.tools.ArgHandler
  - - com.google.gwt.util.tools.ArgHandlerString

- Direct Known Subclasses:
    ArgHandlerAddToClassPath, ArgHandlerEclipse

      public abstract class ArgHandlerString
      extends ArgHandler

  Argument handler for processing flags that take a string as their parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgHandlerString()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `handle(java.lang.String[] args, int startIndex)` Attempts to process one flag or "extra" command-line argument (that appears without a flag).
    `abstract boolean` | `setString(java.lang.String str)`

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandler

      `getDefaultArgs, getHelpTag, getPurpose, getTag, getTagArgs, getTags, isExperimental, isRequired, isUndocumented`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgHandlerString

          public ArgHandlerString()

  - ### Method Detail

    - #### handle

          public int handle(java.lang.String[] args,
                            int startIndex)

      Description copied from class: `ArgHandler`
      Attempts to process one flag or "extra" command-line argument (that appears without a flag).
      Specified by:
        `handle` in class `ArgHandler`
      Parameters:
        `args` - the arguments passed in to main()
        `startIndex` - an index into args indicating the first argument to use. If this is a handler for a flag argument. Otherwise it's the index of the "extra" argument.
      Returns:
        the number of additional arguments consumed, not including the flag or extra argument. Alternately, returns -1 if the argument cannot be used. This will causes the program to abort and usage to be displayed.

    - #### setString

          public abstract boolean setString(java.lang.String str)